Package: dados
Title: Translate Datasets to Portuguese
Version: 0.1.1
Authors@R: c(
    person(given = "Riva",
           family = "Quiroga",
           role = c("aut", "cre"),
           email = "riva.quiroga@uc.cl",
           comment = c(ORCID = "0000-0002-1147-4135")),
    person(given = "Beatriz",
           family = "Milz",
           role = c("aut"),
           email = "milz.bea@gmail.com",
           comment = c(ORCID = "0000-0002-3064-4486")),
    person(given = "Sara",
           family = "Mortara",
           role = c("aut"),
           email = "saramortara@gmail.com",
           comment = c(ORCID = "0000-0001-6221-7537")),
    person(given = "Andrea",
           family = "Sánchez-Tapia",
           role = c("aut"),
           email = "andreasancheztapia@gmail.com",
           comment = c(ORCID = "0000-0002-3521-4338")),
    person(given = "Alejandra Andrea",
           family = "Tapia Silva",
           role = c("aut"),
           email = "alejandraandreatapiasilva@gmail.com",
           comment = c(ORCID = "0000-0003-0762-7618")),
    person(given = "Beatriz",
           family = "Maurer Costa",
           role = c("aut"),
           email = "beatrizmcosta@me.com",
           ),
   person(given = "Jean",
           family = "Prado",
           role = c("aut"),
           email = "jeangrprado@gmail.com",
           comment = c(ORCID = "0000-0002-7928-774X")),
    person(given = "Renata",
           family = "Hirota",
           role = c("aut"),
           email = "re.hirota@gmail.com",
           comment = c(ORCID = "0000-0002-3589-3246")),
    person(given = "William",
           family = "Amorim",
           role = c("aut"),
           email = "wamorim@curso-r.com",
           comment = c(ORCID = "0000-0003-0543-3473")),
   person(given = "Emmanuelle",
          family = "Rodrigues Nunes",
          role = c("aut"),
          email = "emmanuellernunes@gmail.com",
          comment = c(ORCID = "0000-0001-5994-352X")
          ),
    person(given = "Eric",
          family = "Scopinho",
          role = "aut",
          email = "eric.scopinho@gmail.com")
        )
Description: Este pacote traduz os seguintes 
    conjuntos de dados: 'airlines', 'airports', 'ames_raw', 'AwardsManagers',
    'babynames', 'Batting', 'diamonds', 'faithful', 'fueleconomy',
    'Fielding', 'flights', 'gapminder', 'gss_cat', 'iris', 'Managers',
    'mpg', 'mtcars', 'atmos', 'penguins', 'People, 'Pitching', 'pixarfilms','planes',
    'presidential', 'table1', 'table2', 'table3', 'table4a', 'table4b',
    'table5', 'vehicles', 'weather', 'who'.  English: It provides a
    Portuguese translated version of the datasets listed above.
License: GPL-3
Encoding: UTF-8
Language: pt
LazyData: true
RoxygenNote: 7.2.3
URL: https://github.com/cienciadedatos/dados
BugReports: https://github.com/cienciadedatos/dados/issues
Depends: R (>= 3.5.0)
Imports: AmesHousing, babynames, dplyr, forcats, fueleconomy,
        gapminder, ggplot2, Lahman, palmerpenguins, nasaweather,
        nycflights13, rlang, tibble, tidyr, yaml, pixarfilms
Suggests: covr, testthat (>= 3.0.0)
NeedsCompilation: no
Packaged: 2026-05-15 15:47:25 UTC; ciruela
Author: Riva Quiroga [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-1147-4135>),
  Beatriz Milz [aut] (ORCID: <https://orcid.org/0000-0002-3064-4486>),
  Sara Mortara [aut] (ORCID: <https://orcid.org/0000-0001-6221-7537>),
  Andrea Sánchez-Tapia [aut] (ORCID:
    <https://orcid.org/0000-0002-3521-4338>),
  Alejandra Andrea Tapia Silva [aut] (ORCID:
    <https://orcid.org/0000-0003-0762-7618>),
  Beatriz Maurer Costa [aut],
  Jean Prado [aut] (ORCID: <https://orcid.org/0000-0002-7928-774X>),
  Renata Hirota [aut] (ORCID: <https://orcid.org/0000-0002-3589-3246>),
  William Amorim [aut] (ORCID: <https://orcid.org/0000-0003-0543-3473>),
  Emmanuelle Rodrigues Nunes [aut] (ORCID:
    <https://orcid.org/0000-0001-5994-352X>),
  Eric Scopinho [aut]
Maintainer: Riva Quiroga <riva.quiroga@uc.cl>
Repository: CRAN
Date/Publication: 2026-05-15 20:30:19 UTC
Built: R 4.6.0; ; 2026-05-15 23:07:41 UTC; unix

<!-- README.md is generated from README.Rmd. Please edit that file -->

# dados <img src="man/figures/dados-hex.png" align="right" width="120px"/>

<!-- badges: start -->

[![CRAN
status](https://www.r-pkg.org/badges/version/dados)](https://cran.r-project.org/package=dados)
[![R-CMD-check](https://github.com/cienciadedatos/dados/workflows/R-CMD-check/badge.svg)](https://github.com/cienciadedatos/dados/actions)

<!-- badges: end -->

Este pacote disponibiliza a tradução de conjuntos de dados em inglês
originalmente disponíveis em outros pacotes de R. Os dados traduzidos
são utilizados nos exemplos do livro [R for Data
Science](https://r4ds.had.co.nz/) de Hadley Wickham & Garrett Grolemund,
cuja [versão em
português](https://altabooks.com.br/produto/r-para-data-science/) foi
publicada por AltaBooks & O’Reilly.

## Instalação

Este pacote pode ser instalado a partir do CRAN:

``` r
install.packages("dados")
```

A versão de desenvolvimento pode ser instalada a partir do GitHub:

``` r
# install.packages("remotes")
remotes::install_github("cienciadedatos/dados")
```

## Traduções

As traduções disponíveis dentro de `dados` são as seguintes:

| Nome | Título | Pacote | Dataset |
|:---|:---|:---|:---|
| casas | Dados de habitação em Ames | AmesHousing | ames_raw |
| premios_gerentes | Tabela de prêmios dos gerentes | Lahman | AwardsManagers |
| rebatedores | Tabela de estatíticas de Beisebol | Lahman | Batting |
| jardineiros | Tabela de estatísticas do jardineiro | Lahman | Fielding |
| gerentes | Tabela de gerentes | Lahman | Managers |
| pessoas | Tabela de pessoas | Lahman | People |
| arremessadores | Tabela de estatísticas de arremessadores | Lahman | Pitching |
| salarios | Tabela de salários | Lahman | Salaries |
| bebes | Nomes de bebês | babynames | babynames |
| velho_fiel | Dados do gêiser Velho Fiel (Old Faithful) | datasets | faithful |
| dados_iris | Dados de espécies de flor de Íris por Edgar Anderson | datasets | iris |
| mtcarros | Testes de estrada para automóveis | datasets | mtcars |
| dados_starwars | Personagens de Starwars | dplyr | starwars |
| questionario | Amostra de variáveis categóricas do questinário ‘General Social Survey’ (GSS) | forcats | gss_cat |
| comuns | Modelos comuns de carros | fueleconomy | common |
| veiculos | Dados de economia de combustível | fueleconomy | vehicles |
| dados_gapminder | Dados de Gapminder | gapminder | gapminder |
| diamante | Preço de 50 mil diamantes | ggplot2 | diamonds |
| milhas | Dados de economia de combustível de 1999 a 2008 para 38 modelos populares de carros | ggplot2 | mpg |
| presidentes_eua | Período que engloba 12 presidentes, desde Eisenhower até Trump | ggplot2 | presidential |
| dados_atmosfera | Dados atmosféricos | nasaweather | atmos |
| companhias_aereas | Nomes de companhias aéreas | nycflights13 | airlines |
| aeroportos | Aeroportos | nycflights13 | airports |
| voos | Dados de voos | nycflights13 | flights |
| avioes | Dados de aviões | nycflights13 | planes |
| clima | Dados de clima | nycflights13 | weather |
| pinguins | Medidas de pinguins adultos perto da Estação Palmer, Antártida (Palmer Station) | palmerpenguins | penguins |
| pixar_oscars | Filmes da Pixar com indicações ao Oscar | pixarfilms | academy |
| pixar_bilheteria | Bilheteria dos filmes da Pixar | pixarfilms | box_office |
| pixar_generos | Gêneros dos filmes da Pixar | pixarfilms | genres |
| pixar_filmes | Filmes da Pixar | pixarfilms | pixar_films |
| pixar_equipe | Equipe dos filmes | pixarfilms | pixar_people |
| pixar_avalicao_publico | Filmes da Pixar e avaliações | pixarfilms | public_response |
| top100musicas | Top 100 músicas da Billboard no ano 2000 | tidyr | billboard |
| cms_paciente_experiencia | Dados dos Centros de Serviços de Assistência Médica (*Medicare*) e Medicamentos (*Medicaid*) | tidyr | cms_patient_experience |
| nucleo_familiar | Dados de núcleo familiar | tidyr | household |
| tabela1 | Registros de tuberculose da Organização Mundial da Saúde (primeira variante) | tidyr | table1 |
| tabela2 | Registros de tuberculose da Organização Mundial da Saúde (segunda variante) | tidyr | table2 |
| tabela3 | Registros de tuberculose da Organização Mundial da Saúde (terceira variante) | tidyr | table3 |
| tabela4a | Registros de tuberculose da Organização Mundial da Saúde (variante 4a) | tidyr | table4a |
| tabela4b | Registros de tuberculose da Organização Mundial da Saúde (variante 4a) | tidyr | table4b |
| tabela5 | Registros de tuberculose da Organização Mundial da Saúde (quinta variante) | tidyr | table5 |
| dados_oms | Dados de tuberculose da Organização Mundial da Saúde | tidyr | who |
| dados_oms2 | Dados de tuberculose da Organização Mundial da Saúde | tidyr | who2 |

Os dados para praticar a manipulação de strings são `frases`, `palavras`
e `frutas`.

## Uso

O pacote `dados` pode ser carregado como qualquer outro pacote de R:

``` r
library(dados)
library(ggplot2)
library(dplyr)
```

Ao carregar o pacote, as variáveis que contêm os dados estarão
disponíveis imediatamente para uso. Porém, os dados não serão traduzidos
até que a variável seja “chamada” explicitamente por um comando. Neste
exemplo, o conjunto de dados `diamante`, que provém de
`ggplot2::diamonds`, é carregado no *workspace* do R no momento em que o
chamamos pela primeira vez em português:

``` r
glimpse(diamante)
#>  NULL
```

Os dados traduzidos permanecerão carregados em sua sessão de R:

``` r
diamante %>%
  filter(corte == "Bom") %>%
  ggplot() +
  geom_boxplot(aes(transparencia, preco, fill = transparencia)) +
  theme(legend.position = "none") +
  labs(title = "Diamantes", subtitle = "Preço e transparência", y = "Preço", x = "Transparência")
```

<img src="man/figures/diamantes.png"/>

## Funções internas de `dados`

As funções internas de `dados` foram desenvolvidas originalmente por seu
pacote irmão: [`datos`](https://cienciadedatos.github.io/datos/).

translate <- function(spec_file) {
  pkg_path <- system.file("specs", package = "dados")
  spec <- yaml::read_yaml(file.path(pkg_path, spec_file))
  df <- suppressWarnings(eval(parse(text = spec$df$source)))
  class_df <- class(df)
  type_df <- NULL
  if ("function" %in% class_df) {
    return()
  }
  if ("data.frame" %in% class_df) type_df <- "data.frame"
  if ("tbl_df" %in% class_df) type_df <- "tibble"
  if ("grouped_df" %in% class_df) type_df <- "grouped_df"
  if (is.null(type_df)) {
    return()
  }
  if (type_df == "grouped_df") grps <- suppressWarnings(dplyr::group_vars(df))
  if (type_df == "data.frame") row_names <- rownames(df)
  if (type_df != "tibble") df <- dplyr::as_tibble(df)
  vars <- spec$variables
  var_names <- names(vars)
  var_names[var_names == "FALSE"] <- "n"
  var_names[var_names == "TRUE"] <- "y"
  vars <- vars[var_names != "ROWNAMES"]
  var_names <- var_names[var_names != "ROWNAMES"]
  new_names <- as.character(lapply(vars, function(x) x$trans))
  new_names[new_names == "FALSE"] <- "n"
  new_names[new_names == "TRUE"] <- "y"
  new_names <- new_names[new_names != "ROWNAMES"]
  dfl <- lapply(
    seq_along(vars),
    function(x) {
      cl <- df[, var_names[x]][[1]]
      from <- names(vars[[x]]$values)
      if (!is.null(from)) {
        to <- as.character(vars[[x]]$values[from])
        if ("factor" %in% class(cl)) {
          lv <- levels(cl)
          for (i in seq_along(from)) {
            lv[lv == from[i]] <- to[i]
          }
          levels(cl) <- lv
        } else {
          for (i in seq_along(from)) cl[cl == from[i]] <- to[i]
        }
      }
      cl
    }
  )
  dfl <- setNames(dfl, new_names)
  if (type_df == "tibble") dfl <- dplyr::as_tibble(dfl)
  if (type_df == "grouped_df") {
    grps_t <- as.character(lapply(grps, function(x) new_names[var_names == x]))
    dfl <- dplyr::as_tibble(dfl)
    dfl <- dplyr::group_by(dfl, !!!rlang::parse_exprs(grps_t))
  }
  if (type_df == "data.frame") {
    if (!is.null(row_names)) {
      dfl <- as.data.frame(dfl)
      rownames(dfl) <- row_names
    } else {
      dfl <- as.data.frame(dfl)
    }
  }
  dfl
}

context("translation")

get_all_specs <- function(base_path = "specs", package = "dados") {
  pkg_path <- system.file(package = package)
  specs <- list.files(file.path(pkg_path, base_path))
  spec_paths <- file.path(file.path(pkg_path, base_path, specs))
  ry <- lapply(spec_paths, yaml::read_yaml)
  lapply(
    seq_along(ry),
    function(x)
      list(
        file = specs[[x]],
        original = ry[[x]]$df$source,
        df = ry[[x]]$df$name,
        variables = ry[[x]]$variables,
        trans = ry[[x]]$trans
      )
  )
}

lapply(
  get_all_specs(),
  function(x) {
    test_that(paste0("Load from spec works for:", x$df), {
      df <- translate(x$file)
      orig <- eval(parse(text = x$original))
      nm <- as.character(lapply(x$variables, function(x) x$trans))
      nm[nm == "FALSE"] <- "n"
      nm[nm == "TRUE"] <- "y"
      expect_is(df, "data.frame")
      expect_equal(names(df), nm)
      expect_equal(nrow(orig), nrow(df))
      expect_equal(ncol(orig), ncol(df))
      expect_equal(class(orig), class(df))
    })
  }
)

fix_reference <- function(ref_path = "docs/reference/", is_test = FALSE) {
  if(is_test) {
    writeLines("test", file.path(ref_path, "index.html"))
    writeLines("reference", file.path(ref_path, "ref.rd"))
  }
  rds <- list.files(ref_path, pattern = "rd")
  new_html <- paste0(substr(rds, 1, nchar(rds) - 2), "html")
  rds <- paste0(ref_path, "/", rds)
  new_html <- paste0(ref_path, "/", new_html)
  file.rename(rds, new_html)
  index_file <- file.path(ref_path, "index.html")
  index <- readLines(index_file)
  index <- gsub("\\.rd", ".html", index)
  writeLines(index, index_file)
}

data_script <- function(script_path = "data/data.R",
                        script_target = "inst/scripts",
                        spec_path = "inst/specs",
                        is_test = FALSE) {
  specs <- list.files(spec_path)
  asp <- lapply(file.path(spec_path, specs), yaml::read_yaml)
  anm <- as.character(lapply(asp, function(x) x$df$name))
  code <- lapply(
    seq_along(anm),
    function(x)
      paste0(
        "delayedAssign('", anm[x], "',
        eval(parse(file.path(system.file('scripts','",
        anm[x], ".txt', package = 'dados')))))"
        ))
  code <- as.character(code)
  if (file.exists(script_path)) unlink(script_path, force = TRUE)
  writeLines(code, script_path)
  unlink(script_target, recursive = TRUE)
  dir.create(script_target)
  script <- ""
  script <- if(! is_test)readLines("R/translate.R")
  lapply(
    seq_along(anm),
    function(x)
      writeLines(
        c(script, paste0("translate('", specs[x], "')"), ""),
        con = file.path(script_target, paste0(anm[x], ".txt"))
      ))
}

context("utils")

test_that("Site fix works", {
  expect_silent(fix_reference(tempdir(), TRUE))
})

test_that("Script generator works", {
  expect_is(
    data_script(
      script_path = tempfile(),
      script_target = tempdir(),
      spec_path = system.file("specs", package = "dados"),
      is_test = TRUE
    ),
    "list"
  )
})

#' Vetores de caracteres do pacote stringr
#'
#' Amostra de vetores de caracteres para praticar a manipulação de strings
#'
#' frases - é uma lista de frases escritas em português
#'
#' frutas - é uma seleção e adaptação ao português dos dados de prática contidos em stringr::fruit.
#'
#' palavras - é uma lista de palavras frequentes usadas em português brasileiro
#' @format Um vetor
#' @name dados-stringr
#' @examples
#'
#' length(frases)
#' frases[1:5]
#'
#' length(frutas)
#' frutas[1:5]
#'
#' #' length(palavras)
#' palavras[1:5]
NULL

#' @rdname dados-stringr
"frases"

#' @rdname dados-stringr
"frutas"

#' @rdname dados-stringr
"palavras"

#' @keywords internal
"_PACKAGE"

#' @importFrom yaml read_yaml
#' @importFrom dplyr as_tibble group_by
#' @importFrom tibble as_tibble
#' @importFrom stats setNames
#' @import rlang
NULL

# Suppress R CMD check note
# (e.g. https://github.com/tidyverse/tidyverse/blob/master/R/tidyverse.R#L4)
#' @importFrom forcats fct_c
#' @importFrom tidyr pivot_wider
#' @importFrom ggplot2 ggplot
#' @importFrom Lahman playerInfo
#' @import babynames
#' @import fueleconomy
#' @import gapminder
#' @import nasaweather
#' @import nycflights13
#' @import palmerpenguins
#' @import pixarfilms
#' @import AmesHousing
NULL

delayedAssign('companhias_aereas',
        eval(parse(file.path(system.file('scripts','companhias_aereas.txt', package = 'datos')))))
delayedAssign('aeroportos',
        eval(parse(file.path(system.file('scripts','aeroportos.txt', package = 'datos')))))
delayedAssign('casas',
        eval(parse(file.path(system.file('scripts','casas.txt', package = 'datos')))))
delayedAssign('dados_atmosfera',
        eval(parse(file.path(system.file('scripts','dados_atmosfera.txt', package = 'datos')))))
delayedAssign('premios_gerentes',
        eval(parse(file.path(system.file('scripts','premios_gerentes.txt', package = 'datos')))))
delayedAssign('bebes',
        eval(parse(file.path(system.file('scripts','bebes.txt', package = 'datos')))))
delayedAssign('rebatedores',
        eval(parse(file.path(system.file('scripts','rebatedores.txt', package = 'datos')))))
delayedAssign('top100musicas',
        eval(parse(file.path(system.file('scripts','top100musicas.txt', package = 'datos')))))
delayedAssign('cms_paciente_experiencia',
        eval(parse(file.path(system.file('scripts','cms_paciente_experiencia.txt', package = 'datos')))))
delayedAssign('comuns',
        eval(parse(file.path(system.file('scripts','comuns.txt', package = 'datos')))))
delayedAssign('diamante',
        eval(parse(file.path(system.file('scripts','diamante.txt', package = 'datos')))))
delayedAssign('velho_fiel',
        eval(parse(file.path(system.file('scripts','velho_fiel.txt', package = 'datos')))))
delayedAssign('jardineiros',
        eval(parse(file.path(system.file('scripts','jardineiros.txt', package = 'datos')))))
delayedAssign('voos',
        eval(parse(file.path(system.file('scripts','voos.txt', package = 'datos')))))
delayedAssign('dados_gapminder',
        eval(parse(file.path(system.file('scripts','dados_gapminder.txt', package = 'datos')))))
delayedAssign('questionario',
        eval(parse(file.path(system.file('scripts','questionario.txt', package = 'datos')))))
delayedAssign('nucleo_familiar',
        eval(parse(file.path(system.file('scripts','nucleo_familiar.txt', package = 'datos')))))
delayedAssign('dados_iris',
        eval(parse(file.path(system.file('scripts','dados_iris.txt', package = 'datos')))))
delayedAssign('gerentes',
        eval(parse(file.path(system.file('scripts','gerentes.txt', package = 'datos')))))
delayedAssign('milhas',
        eval(parse(file.path(system.file('scripts','milhas.txt', package = 'datos')))))
delayedAssign('mtcarros',
        eval(parse(file.path(system.file('scripts','mtcarros.txt', package = 'datos')))))
delayedAssign('pinguins',
        eval(parse(file.path(system.file('scripts','pinguins.txt', package = 'datos')))))
delayedAssign('pessoas',
        eval(parse(file.path(system.file('scripts','pessoas.txt', package = 'datos')))))
delayedAssign('arremessadores',
        eval(parse(file.path(system.file('scripts','arremessadores.txt', package = 'datos')))))
delayedAssign('pixar_oscars',
        eval(parse(file.path(system.file('scripts','pixar_oscars.txt', package = 'datos')))))
delayedAssign('pixar_bilheteria',
        eval(parse(file.path(system.file('scripts','pixar_bilheteria.txt', package = 'datos')))))
delayedAssign('pixar_filmes',
        eval(parse(file.path(system.file('scripts','pixar_filmes.txt', package = 'datos')))))
delayedAssign('pixar_generos',
        eval(parse(file.path(system.file('scripts','pixar_generos.txt', package = 'datos')))))
delayedAssign('pixar_equipe',
        eval(parse(file.path(system.file('scripts','pixar_equipe.txt', package = 'datos')))))
delayedAssign('pixar_avalicao_publico',
        eval(parse(file.path(system.file('scripts','pixar_avalicao_publico.txt', package = 'datos')))))
delayedAssign('avioes',
        eval(parse(file.path(system.file('scripts','avioes.txt', package = 'datos')))))
delayedAssign('presidentes_eua',
        eval(parse(file.path(system.file('scripts','presidentes_eua.txt', package = 'datos')))))
delayedAssign('salarios',
        eval(parse(file.path(system.file('scripts','salarios.txt', package = 'datos')))))
delayedAssign('dados_starwars',
        eval(parse(file.path(system.file('scripts','dados_starwars.txt', package = 'datos')))))
delayedAssign('tabela1',
        eval(parse(file.path(system.file('scripts','tabela1.txt', package = 'datos')))))
delayedAssign('tabela2',
        eval(parse(file.path(system.file('scripts','tabela2.txt', package = 'datos')))))
delayedAssign('tabela3',
        eval(parse(file.path(system.file('scripts','tabela3.txt', package = 'datos')))))
delayedAssign('tabela4a',
        eval(parse(file.path(system.file('scripts','tabela4a.txt', package = 'datos')))))
delayedAssign('tabela4b',
        eval(parse(file.path(system.file('scripts','tabela4b.txt', package = 'datos')))))
delayedAssign('tabela5',
        eval(parse(file.path(system.file('scripts','tabela5.txt', package = 'datos')))))
delayedAssign('veiculos',
        eval(parse(file.path(system.file('scripts','veiculos.txt', package = 'datos')))))
delayedAssign('clima',
        eval(parse(file.path(system.file('scripts','clima.txt', package = 'datos')))))
delayedAssign('dados_oms',
        eval(parse(file.path(system.file('scripts','dados_oms.txt', package = 'datos')))))
delayedAssign('dados_oms2',
        eval(parse(file.path(system.file('scripts','dados_oms2.txt', package = 'datos')))))

create_rd <- function(spec_path) {
  spec <- yaml::read_yaml(spec_path)
  header <- list("\\docType{data}")
  if (!is.null(spec$help$name)) header <- c(header, paste0("\\name{", spec$help$name, "}"))
  if (!is.null(spec$help$alias)) header <- c(header, paste0("\\alias{", spec$help$alias, "}"))
  if (!is.null(spec$help$title)) header <- c(header, paste0("\\title{", spec$help$title, "}"))
  if (!is.null(spec$help$format)) header <- c(header, paste0("\\format{", spec$help$format, ""))
  header <- c(header, "\\describe{")

  items <- NULL
  items <- lapply(
    spec$variables, function(x) {
      variable <- x["trans"]
      if (variable == "TRUE") variable <- "y"
      paste0("\\item{", variable, "}{", x["desc"], "}")
    }
  )
  items <- as.character(items)
  names(items) <- NULL

  footer <- list("}}")
  if (!is.null(spec$help$usage)) {
    footer <- c(footer, paste0("\\usage{", spec$help$usage, "}"))
  }
  if (!is.null(spec$help$description)) {
    footer <- c(footer, paste0("\\description{", spec$help$description, "}"))
  }
  if (!is.null(spec$help$source)) {
    footer <- c(footer, paste0("\\source{", spec$help$source, "}"))
  }
  if (!is.null(spec$df$source)) {
    footer <- c(footer, paste0("\\seealso{\\code{\\link[", regmatches(spec$df$source, regexec("(\\w+)::\\w+", spec$df$source))[[1]][2], "]", "{", regmatches(spec$df$source, regexec("\\w+::(\\w+)", spec$df$source))[[1]][2], "}}}"))
  }
  footer <- c(footer, "\\keyword{datasets}")
  rd <- c(header, items, footer)
  as.character(rd)
}

save_rd <- function(spec_path = NULL, rd_folder = "man") {
  spec <- read_yaml(spec_path)
  rd_name <- spec$df$name
  rd <- create_rd(spec_path)
  writeLines(
    rd,
    con = file.path(rd_folder, paste0(rd_name, ".rd")),
    useBytes = TRUE
  )
}

folder_rd <- function(spec_folder = "inst/specs", rd_folder = "man") {
  specs <- list.files(spec_folder)
  invisible({
    lapply(file.path(spec_folder, specs), function(x) {
      save_rd(x, rd_folder = rd_folder)
    })
  })
}

context("RD files")

pkg_path <- system.file(package = "dados")

test_that("Help generator works", {
  expect_silent(
    dados:::folder_rd(
      file.path(pkg_path, "specs"),
      tempdir()
    )
  )
})

\docType{data}
\name{dados_oms}
\alias{dados_oms}
\title{Dados de tuberculose da Organização Mundial da Saúde}
\format{Um tibble com 7240 linhas e 60 colunas
\describe{
\item{pais}{Nome do país}
\item{iso2}{Código ISO de dois dígitos do país}
\item{iso3}{Código ISO de três dígitos do país}
\item{ano}{Ano}
\item{novos_fpp_h014}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), homens (h) de 0 a 14 anos (014)}
\item{novos_fpp_h1524}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), homens (h) de 15 a 24 anos (1524)}
\item{novos_fpp_h2534}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), homens (h) de 25 a 34 anos (2534)}
\item{novos_fpp_h3544}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), homens (h) de 35 a 44 anos (3544)}
\item{novos_fpp_h4554}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), homens (h) de 45 a 54 anos (4554)}
\item{novos_fpp_h5564}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), homens (h) de 55 a 64 anos (5564)}
\item{novos_fpp_h65}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), homens (h) de 65 ou mais anos}
\item{novos_fpp_m014}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), mulheres (m) de 0 a 14 anos (014)}
\item{novos_fpp_m1524}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), mulheres (m) de 15 a 24 anos (1524)}
\item{novos_fpp_m2534}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), mulheres (m) de 25 a 34 anos (2534)}
\item{novos_fpp_m3544}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), mulheres (m) de 35 a 44 anos (3544)}
\item{novos_fpp_m4554}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), mulheres (m) de 45 a 54 anos (4554)}
\item{novos_fpp_m5564}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), mulheres (m) de 55 a 64 anos (5564)}
\item{novos_fpp_m65}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), mulheres (m) de 65 ou mais anos}
\item{novos_fpn_h014}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), homens (h) de 0 a 14 anos (014)}
\item{novos_fpn_h1524}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), homens (h) de 15 a 24 anos (1524)}
\item{novos_fpn_h2534}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), homens (h) de 25 a 34 anos (2534)}
\item{novos_fpn_h3544}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), homens (h) de 35 a 44 anos (3544)}
\item{novos_fpn_h4554}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), homens (h) de 45 a 54 anos (4554)}
\item{novos_fpn_h5564}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), homens (h) de 55 a 64 anos (5564)}
\item{novos_fpn_h65}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), homens (h) de 65 ou mais anos}
\item{novos_fpn_m014}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), mulheres (m) de 0 a 14 anos (014)}
\item{novos_fpn_m1524}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), mulheres (m) de 15 a 24 anos (1524)}
\item{novos_fpn_m2534}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), mulheres (m) de 25 a 34 anos (2534)}
\item{novos_fpn_m3544}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), mulheres (m) de 35 a 44 anos (3544)}
\item{novos_fpn_m4554}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), mulheres (m) de 45 a 54 anos (4554)}
\item{novos_fpn_m5564}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), mulheres (m) de 55 a 64 anos (5564)}
\item{novos_fpn_m65}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), mulheres (m) de 65 ou mais anos}
\item{novos_ep_h014}{Casos novos, diagnóstico extrapulmonar (ep), homens (h) de 0 a 14 anos (014)}
\item{novos_ep_h1524}{Casos novos, diagnóstico extrapulmonar (ep), homens (h) de 15 a 24 anos (1524)}
\item{novos_ep_h2534}{Casos novos, diagnóstico extrapulmonar (ep), homens (h) de 25 a 34 anos (2534)}
\item{novos_ep_h3544}{Casos novos, diagnóstico extrapulmonar (ep), homens (h) de 35 a 44 anos (3544)}
\item{novos_ep_h4554}{Casos novos, diagnóstico extrapulmonar (ep), homens (h) de 45 a 54 anos (4554)}
\item{novos_ep_h5564}{Casos novos, diagnóstico extrapulmonar (ep), homens (h) de 55 a 64 anos (5564)}
\item{novos_ep_h65}{Casos novos, diagnóstico extrapulmonar (ep), homens (h) de 65 ou mais anos}
\item{novos_ep_m014}{Casos novos, diagnóstico extrapulmonar (ep), mulheres (m) de 0 a 14 anos (014)}
\item{novos_ep_m1524}{Casos novos, diagnóstico extrapulmonar (ep), mulheres (m) de 15 a 24 anos (1524)}
\item{novos_ep_m2534}{Casos novos, diagnóstico extrapulmonar (ep), mulheres (m) de 25 a 34 anos (2534)}
\item{novos_ep_m3544}{Casos novos, diagnóstico extrapulmonar (ep), mulheres (m) de 35 a 44 anos (3544)}
\item{novos_ep_m4554}{Casos novos, diagnóstico extrapulmonar (ep), mulheres (m) de 45 a 54 anos (4554)}
\item{novos_ep_m5564}{Casos novos, diagnóstico extrapulmonar (ep), mulheres (m) de 55 a 64 anos (5564)}
\item{novos_ep_m65}{Casos novos, diagnóstico extrapulmonar (ep), mulheres (m) de 65 ou mais anos}
\item{novos_recaida_h014}{Novas recaídas, homens (h) de 0 a 14 anos (014)}
\item{novos_recaida_h1524}{Novas recaídas, homens (h) de 15 a 24 anos (1524)}
\item{novos_recaida_h2534}{Novas recaídas, homens (h) de 25 a 34 anos (2534)}
\item{novos_recaida_h3544}{Novas recaídas, homens (h) de 35 a 44 anos (3544)}
\item{novos_recaida_h4554}{Novas recaídas, homens (h) de 45 a 54 anos (4554)}
\item{novos_recaida_h5564}{Novas recaídas, homens (h) de 55 a 64 anos (5564)}
\item{novos_recaida_h65}{Novas recaídas, homens (h) de 65 ou mais anos}
\item{novos_recaida_m014}{Novas recaídas, mulheres (m) de 0 a 14 anos (014)}
\item{novos_recaida_m1524}{Novas recaídas, mulheres (m) de 15 a 24 anos (1524)}
\item{novos_recaida_m2534}{Novas recaídas, mulheres (m) de 25 a 34 anos (2534)}
\item{novos_recaida_m3544}{Novas recaídas, mulheres (m) de 35 a 44 anos (3544)}
\item{novos_recaida_m4554}{Novas recaídas, mulheres (m) de 45 a 54 anos (4554)}
\item{novos_recaida_m5564}{Novas recaídas, mulheres (m) de 55 a 64 anos (5564)}
\item{novos_recaida_m65}{Novas recaídas, mulheres (m) de 65 ou mais anos}
}}
\usage{dados_oms}
\description{Subconjunto de dados do relatório anual de tuberculose da Organização Mundial da Saúde}
\keyword{datasets}

\docType{data}
\name{companhias_aereas}
\alias{companhias_aereas}
\title{Nomes de companhias aéreas}
\format{Um data.frame com 16 linhas e 2 colunas
\describe{
\item{companhia_aerea}{Abreviação de dois dígitos do nome da companhia aérea}
\item{nome}{Nome completo da companhia aérea}
}}
\usage{companhias_aereas}
\description{Nomes das companhias aéreas e seus respectivos códigos de dois dígitos}
\keyword{datasets}

\docType{data}
\name{avioes}
\alias{avioes}
\title{Dados de aviões}
\format{Um data.frame com 3.322 linhas e 9 colunas
\describe{
\item{codigo_cauda}{Código da cauda do avião (empenagem)}
\item{ano}{Ano de fabricação}
\item{tipo}{Tipo de avião}
\item{fabricante}{Fabricante do avião}
\item{modelo}{Modelo de avião}
\item{motores}{Quantidade de motores}
\item{assentos}{quantidade de assentos}
\item{velocidade}{Velocidade média de cruzeiro em milhas por hora}
\item{tipo_motor}{Tipo de motor do avião}
}}
\usage{avioes}
\description{Metadatos de aviões e seus códigos de cauda no registro de aviação da FAA. American Airways (AA) e Envoy Air (MQ) reportam número de frota no lugar do número de calda, por isso não é possível relacioná-los}
\keyword{datasets}

\docType{data}
\name{presidentes_eua}
\alias{presidentes_eua}
\title{Período que engloba 12 presidentes, desde Eisenhower até Trump}
\format{Um data.frame com 12 linhas e 4 colunas
\describe{
\item{nome}{Nome do presidente}
\item{inicio}{Data de início do período presidencial}
\item{fim}{Data do término do período presidencial}
\item{partido}{Partido político ao qual pertence}
}}
\description{Nome, data de início e de término do mandato e partido político de 12 presidentes dos Estados Unidos, de Eisenhower a Trump.}
\keyword{datasets}

\docType{data}
\name{pixar_bilheteria}
\alias{pixar_bilheteria}
\title{Bilheteria dos filmes da Pixar}
\format{Um tibble com 23 linhas e 5 colunas
\describe{
\item{filme}{Título do filme}
\item{orcamento}{Orçamento do filme (em dólar americano)}
\item{bilheteria_eua_canada}{Valor gerado pela venda de ingressos nos EUA e Canada (em dólar americano)}
\item{bilheteria_outros_paises}{Valor gerado pela venda de ingressos nos demais países (em dólar americano)}
\item{bilheteria_mundial}{Valor gerado com a venda de ingressos no mundo inteiro (em dólar americano)}
}}
\usage{pixar_bilheteria}
\description{Filmes da Pixar com seus respectivos orçamentos e valor de bilheteria}
\keyword{datasets}

\docType{data}
\name{pixar_equipe}
\alias{pixar_equipe}
\title{Equipe dos filmes}
\format{Um tibble com 228 linhas e 3 colunas
\describe{
\item{filme}{Título do filme}
\item{cargo}{Cargo das pessoas}
\item{nome}{Nome da pessoa que ocupa o cargo}
}}
\usage{pixar_equipe}
\description{Principais pessoas envolvidas nas produções dos filmes da Pixar}
\keyword{datasets}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dados.R
\docType{package}
\name{dados-package}
\alias{dados}
\alias{dados-package}
\title{dados: Translate Datasets to Portuguese}
\description{
Este pacote traduz os seguintes conjuntos de dados: 'airlines', 'airports', 'ames_raw', 'AwardsManagers', 'babynames', 'Batting', 'diamonds', 'faithful', 'fueleconomy', 'Fielding', 'flights', 'gapminder', 'gss_cat', 'iris', 'Managers', 'mpg', 'mtcars', 'atmos', 'penguins', 'People, 'Pitching', 'pixarfilms','planes', 'presidential', 'table1', 'table2', 'table3', 'table4a', 'table4b', 'table5', 'vehicles', 'weather', 'who'. English: It provides a Portuguese translated version of the datasets listed above.
}
\seealso{
Useful links:
\itemize{
  \item \url{https://github.com/cienciadedatos/dados}
  \item Report bugs at \url{https://github.com/cienciadedatos/dados/issues}
}

}
\author{
\strong{Maintainer}: Riva Quiroga \email{riva.quiroga@uc.cl} (\href{https://orcid.org/0000-0002-1147-4135}{ORCID})

Authors:
\itemize{
  \item Beatriz Milz \email{milz.bea@gmail.com} (\href{https://orcid.org/0000-0002-3064-4486}{ORCID})
  \item Sara Mortara \email{saramortara@gmail.com} (\href{https://orcid.org/0000-0001-6221-7537}{ORCID})
  \item Andrea Sánchez-Tapia \email{andreasancheztapia@gmail.com} (\href{https://orcid.org/0000-0002-3521-4338}{ORCID})
  \item Alejandra Andrea Tapia Silva \email{alejandraandreatapiasilva@gmail.com} (\href{https://orcid.org/0000-0003-0762-7618}{ORCID})
  \item Beatriz Maurer Costa \email{beatrizmcosta@me.com}
  \item Jean Prado \email{jeangrprado@gmail.com} (\href{https://orcid.org/0000-0002-7928-774X}{ORCID})
  \item Renata Hirota \email{re.hirota@gmail.com} (\href{https://orcid.org/0000-0002-3589-3246}{ORCID})
  \item William Amorim \email{wamorim@curso-r.com} (\href{https://orcid.org/0000-0003-0543-3473}{ORCID})
  \item Emmanuelle Rodrigues Nunes \email{emmanuellernunes@gmail.com} (\href{https://orcid.org/0000-0001-5994-352X}{ORCID})
  \item Eric Scopinho \email{eric.scopinho@gmail.com}
}

}
\keyword{internal}

\docType{data}
\name{comuns}
\alias{comuns}
\title{Modelos comuns de carros}
\format{Um data.frame com 347 linhas e 4 colunas
\describe{
\item{marca}{Marca}
\item{modelo}{Modelo}
\item{total_modelos}{Número total de modelos}
\item{total_modelos_ano}{Número total de modelos-ano}
}}
\usage{comuns}
\description{Esses modelos têm pelo menos 10 anos de dados. Esse conjunto de dados é adequado para uma join para restringir o número de observações a um nível mais gerenciável.}
\keyword{datasets}

\docType{data}
\name{velho_fiel}
\alias{velho_fiel}
\title{Dados do gêiser Velho Fiel (Old Faithful)}
\format{Um data.frame com 272 linhas e 2 colunas
\describe{
\item{erupcoes}{Tempo das erupções (em minutos)}
\item{tempo_espera}{Minutos entre as erupções}
}}
\usage{velho_fiel}
\description{Dados do tempo de espera entre erupções e duração de cada erupção do gêiser Velho Fiel (Old Faithful), localizado no Parque Nacional de Yellowstone, em Wyoming, nos Estados Unidos.}
\keyword{datasets}

\docType{data}
\name{tabela3}
\alias{tabela3}
\title{Registros de tuberculose da Organização Mundial da Saúde (terceira variante)}
\format{Um tibble com 6 linhas e 3 colunas
\describe{
\item{pais}{Nome do país}
\item{ano}{Ano correspondente aos valores registrados}
\item{taxa}{Taxa de casos de tuberculose em relação a população total}
}}
\description{Contém observações de casos registrados no Afeganistão, Brasil e China nos anos de 1999 e 2000}
\keyword{datasets}

\docType{data}
\name{diamante}
\alias{diamante}
\title{Preço de 50 mil diamantes}
\format{Um data.frame com 53.940 linhas e 10 colunas
\describe{
\item{preco}{Preço em dólares americanos (US$ 326-US$ 18.823)}
\item{quilate}{Peso do diamante (0,2-5,01 ct)}
\item{corte}{Qualidade de corte (Justo, Bom, Muito Bom, Premium, Ideal)}
\item{cor}{Cor de diamante, de J (pior) a D (melhor)}
\item{transparencia}{Quão transparente é o diamante (I1 (pior), SI1, SI2, VS1, VS2, VVS1, VVS2, IF (melhor))}
\item{profundidade}{Porcentagem da profundidade `total = z / mean(x, y) = 2 * z / (x + y) (43-79)`}
\item{tabela}{Largura do topo do diamante em relação ao seu ponto mais largo (43-95 mm)}
\item{x}{Comprimento em milímetros}
\item{y}{Largura em milímetros}
\item{z}{Profundidade em milímetros}
}}
\usage{diamante}
\description{Um conjunto de dados contendo os preços de quase 54 mil diamantes}
\keyword{datasets}

\docType{data}
\name{voos}
\alias{voos}
\title{Dados de voos}
\format{Um data.frame com 336.776 linhas e 19 colunas
\describe{
\item{ano}{Ano da data de saída do voo}
\item{mes}{Mês da data de saída do voo}
\item{dia}{Dia da data de saída do voo}
\item{horario_saida}{Horário real de saída do voo (formato HHMM ou HMM), hora local}
\item{saida_programada}{Horário programado para a saída do voo (formato HHMM ou HMM), hora local}
\item{atraso_saida}{Atraso de saída em minutos. Valores negativos indicam saída adiantada}
\item{horario_chegada}{Horário real de chegada do voo (formato HHMM ou HMM), hora local}
\item{chegada_prevista}{Horário programado para a chegada do voo (formato HHMM ou HMM), hora local}
\item{atraso_chegada}{Atraso de chegada em minutos. Valores negativos indicam chegada adiantada}
\item{companhia_aerea}{Abreviação de dois dígitos da companhia aérea. Ver `companhias_aereas` para obter o nome da companhia aérea}
\item{voo}{Número do voo}
\item{codigo_cauda}{Código da cauda do avião (empenagem)}
\item{origem}{Origem do voo. Ver `aeroportos` para metadados adicionais}
\item{destino}{Destino do voo. Ver `aeroportos` para metadados adicionais}
\item{tempo_voo}{Quantidade de tempo no ar, em minutos}
\item{distancia}{Distância entre aeroportos, em milhas}
\item{hora}{Hora do horário programado para saída do voo}
\item{minuto}{Minutos do horário programado para a saída do voo}
\item{data_hora}{Data e hora programados para o voo em formato POSIXct. Juntamente com a coluna origem, pode ser usado para juntar dados de voos aos dados meteorológicos disponíveis em `dados_clima`}
}}
\usage{voos}
\description{Dados temporais de todos os voos que partiram de Nova York (JFK, LGA e EWR) em 2013}
\keyword{datasets}

\docType{data}
\name{jardineiros}
\alias{jardineiros}
\title{Tabela de estatísticas do jardineiro}
\format{Um data frame com 140.921 linhas e 18 colunas
\describe{
\item{id_jogador}{ID do jogador}
\item{id_ano}{Ano}
\item{ordem_equipe}{Ordem em que o jogador se moveu entre as equipes na mesma temporada}
\item{id_equipe}{ID da equipe (fator)}
\item{id_liga}{ID da liga (fator com níveis AA, AL, FL, NL, PL, UA)}
\item{posicao}{Posição do jogador defensivo}
\item{jogos}{Jogos}
\item{jogos_iniciados}{Jogos iniciados}
\item{inn_outs}{Tempo jogado pelo jogador expresso em outs}
\item{outs_feitos}{Outs feitas pelo jogador}
\item{assistencias}{Assistências realizadas pelo jogador}
\item{erros}{Erros cometidos pelo jogador}
\item{eliminacao_dupla}{Eliminação dupla em que o jogador esteve envolvido defensivamente}
\item{bolas_passadas}{Bolas passadas (aplicável a receptores)}
\item{lancamentos_desviados}{Wild pitches - arremessos ruins que permitem o avanço de corredores adversários (aplicável a arremessadores)}
\item{bases_roubadas}{Bases roubadas pelo oponente (aplicável aos receptor)}
\item{capturado_roubando}{Opositores apanhados em tentativa de roubo (aplicável a receptores)}
\item{taxa_zona}{Porcentagem de bolas capturadas por um defensor, em sua zona defensiva típica}
}}
\description{Estatísticas de defesa}
\keyword{datasets}

\docType{data}
\name{clima}
\alias{clima}
\title{Dados de clima}
\format{Um data.frame com 26.115 linhas e 15 colunas
\describe{
\item{origem}{Estação meteorológica. Coluna origem pode ser usada para juntar com os dados dados::voos}
\item{ano}{Ano do registro}
\item{mes}{Mês do registro}
\item{dia}{Dia do registro}
\item{hora}{Hora do registro}
\item{temperatura}{Temperatura média em graus Farenheint}
\item{ponto_condensacao}{Ponto de condensação, isto é, temperatura (em Farenheits) na qual o vapor d'água se condensa}
\item{umidade}{Umidade relativa}
\item{direcao_vento}{Direção do vento em graus}
\item{velocidade_vento}{Velocidade do vento medida em milhas por hora}
\item{velocidade_rajada}{Velocidade da rajada de vento medida em milhas por hora}
\item{precipitacao}{Precipitação da chuva medida em polegadas}
\item{pressao}{Pressão atmosférica ao nível do mar em milibares}
\item{visibilidade}{Visibilidade média em milhas}
\item{data_hora}{Data e hora de registro em formato POSIXct}
}}
\usage{clima}
\description{Metadatos da estação meteorológica de três aeroportos de Nova Iorque LGA, JFK e EWR}
\keyword{datasets}

\docType{data}
\name{pinguins}
\alias{pinguins}
\title{Medidas de pinguins adultos perto da Estação Palmer, Antártida (Palmer Station)}
\format{Um tibble com 344 linhas e 8 colunas
\describe{
\item{especie}{Um fator com as espécies de pinguim (Pinguim-de-adélia, Pinguim-de-barbicha e Pinguim-gentoo)}
\item{ilha}{Um fator com cada ilha do Arquipélago Palmer, na Antártida (Biscoe, Dream, Togersen)}
\item{comprimento_bico}{Um número inteiro que indica o comprimento do bico (em milímetros)}
\item{profundidade_bico}{Um número inteiro que indica a profundidade do bico (em milímetros)}
\item{comprimento_nadadeira}{Um número inteiro que indica o comprimento da nadadeira (em milímetros)}
\item{massa_corporal}{Um número inteiro que indica a massa corporal (em gramas)}
\item{sexo}{Um fator que indica o sexo do(a) pinguim (macho, fêmea)}
\item{ano}{Um número inteiro que indica o ano de estudo (2007, 2008 ou 2009)}
}}
\description{Inclui espécies de pinguins e ilhas do Arquipélago Palmer, medidas de cada espécie (comprimento da nadadeira, massa corporal e dimensões do bico), sexo de cada pinguim e ano de documentação. Esse é um subconjunto de dados do `penguins_raw`.}
\keyword{datasets}

\docType{data}
\name{arremesadores}
\alias{arremesadores}
\title{Tabela de estatísticas de arremesadores}
\format{Um data frame com 46.699 linhas e 30 colunas
\describe{
\item{id_jogador}{ID do jogador}
\item{id_ano}{Ano}
\item{ordem_equipes}{Ordem na qual o jogador se mudou entre equipes na mesma temporada}
\item{id_equipe}{ID da equipe (fator)}
\item{id_liga}{ID da liga (fator com os níveis AA, AL, FL, NL, PL, UA)}
\item{jogos_ganhados}{Jogos disputados ganhados}
\item{jogos_perdidos}{Jogos disputados perdidos}
\item{jogos_disputados}{Jogos disputados}
\item{jogos_iniciados}{Jogos disputados iniciados}
\item{jogos_completos}{Número de jogos completos que o jogador lançou}
\item{shutouts}{Número de shutouts (jogos completos sem permitir corridas) que o jogador lançou}
\item{jogos_salvos}{Jogos salvos}
\item{IPouts}{Outs lançadas à equipe adversária (igual a entradas lançadas x 3)}
\item{hits}{Hits cedidos ao oponente}
\item{corridas_merecidas}{Corridas merecidas (por culpa do arremessador) cedidas}
\item{homerun}{Número de homeruns}
\item{BB}{Base por bolas cedidas ao oponente}
\item{strikeout}{Strikeout dados ao oponente}
\item{media_rebatida_oponente}{Média de rebatidas do oponente}
\item{media_corridas_merecidas}{Média de corridas merecidas cedidas (normalizada para 9 entradas lançadas)}
\item{IBB}{Base por bolas intencionais cedidas ao oponente}
\item{lances_desviados}{Wild pitches (arremessos ruins que permitem o avanço de corredores adversários) lançados pelo arremessador}
\item{HBP}{Número de avanços cedidos à primeira base por atingir o rebatedor com o arremesso}
\item{BK}{Balks (movimento ilegal do corpo pelo lançador)}
\item{BFP}{Rebatedores que o arremessador enfrentou}
\item{jogos_terminados}{Jogos em que o lançador termina o jogo}
\item{corridas}{Corridas cedidas (merecidas e nao merecidas)}
\item{toques_sacrificio}{Toques de sacrifício (impulsiona o avanço de um corredor) feitos pelo (rebatedor) oponente}
\item{fly_sacrificio}{Flys (rebatidas altas no campo externo) de sacrifício (impulsiona uma corrida) contra o arremessador}
\item{eliminacao_dupla}{Arremessos que levam a uma rebatida rasteira com eliminação dupla na mesma jogada}
}}
\description{Estatísticas de arremesadores}
\seealso{\code{\link[Lahman]{Pitching}}}
\keyword{datasets}

\docType{data}
\name{dados_atmosfera}
\alias{dados_atmosfera}
\title{Dados atmosféricos}
\format{Um data.frame com 41.472 linhas e 11 colunas
\describe{
\item{latitude}{Localização da medição. Grade espacial de 24 por 24 pontos de coleta, uniformemente espaçada, desde a longitude 113,80W à 56,20W, e latitude 36,20N à 21,20S}
\item{longitude}{Localização da medição. Grade espacial de 24 por 24 pontos de coleta, uniformemente espaçada, desde a longitude 113,80W à 56,20W, e latitude 36,20N à 21,20S}
\item{ano}{72 pontos no tempo. Uma vez por mês desde janeiro de 1995 até dezembro de 2000}
\item{mes}{72 pontos no tempo. Uma vez por mês desde janeiro de 1995 até dezembro de 2000}
\item{temp_superficie}{Temperatura média mensal baseada na energia emitida da superfície da Terra em condições de céu claro (em K)}
\item{temperatura}{Temperatura média mensal do ar perto da superfície da Terra (em K)}
\item{pressao}{Pressão média mensal da superfície atmosférica num determinado local na superfície da Terra (em mbar)}
\item{ozonio}{Média mensal do total de ozônio na coluna atmosférica (em Dobsons)}
\item{nuvem_baixa}{Porcentagem média mensal do céu coberto por nuvens com pressão superior a 680 mbar ou aproximadamente menor que 3,24 km}
\item{nuvem_media}{Porcentagem média mensal do céu coberto por nuvens com pressão superior entre 440-680 mbar ou aproximadamente menor que 3,24 à 6,5 km}
\item{nuvem_alta}{Porcentagem média mensal do céu coberto por nuvens com pressão superior menor ou igual a 440 mbar ou aproximadamente maior que 6,5 km}
}}
\usage{dados_atmosfera}
\description{Dados atmosféricos}
\keyword{datasets}

\docType{data}
\name{pixar_oscars}
\alias{pixar_oscars}
\title{Filmes da Pixar com indicações ao Oscar}
\format{Um tibble com 72 linhas e 3 colunas
\describe{
\item{filme}{Título do filme}
\item{tipo_premio_indicado}{Tipo de prêmio}
\item{resultado}{Resultado da indicação}
}}
\usage{pixar_oscars}
\description{Filmes da Pixar que foram indicados ao Oscar, a categoria em que concorreram e o resultado da indicação}
\keyword{datasets}

\docType{data}
\name{milhas}
\alias{milhas}
\title{Dados de economia de combustível de 1999 a 2008 para 38 modelos populares de carros}
\format{Um data.frame com 234 linhas e 11 colunas
\describe{
\item{fabricante}{Nome do fabricante}
\item{modelo}{Nome do modelo}
\item{cilindrada}{Capacidade do motor, em litros}
\item{ano}{Ano de fabricação}
\item{cilindros}{Número de cilindros}
\item{transmissao}{Tipo de transmissão}
\item{tracao}{Tipo de tração (d = dianteira, t = traseira, 4 = 4x4)}
\item{cidade}{Milhas da cidade por galão}
\item{rodovia}{Milhas rodoviárias por galão}
\item{combustivel}{Tipo de combustível (p = premium, r = regular, e = etanol, d = diesel, g = gás natural comprimido)}
\item{classe}{tipo de carro}
}}
\usage{milhas}
\description{Este conjunto de dados contém um subconjunto dos dados de economia de combustível que a EPA disponibiliza em http://fueleconomy.gov. Ele contém apenas modelos que tiveram um novo lançamento todos os anos entre 1999 e 2008 - isso foi usado como um proxy para a popularidade do carro}
\keyword{datasets}

\docType{data}
\name{nucleo_familiar}
\alias{nucleo_familiar}
\title{Dados de núcleo familiar}
\format{Um tibble com 5 linhas e 5 colunas
\describe{
\item{familia}{Identificador da família}
\item{datanascimento_crianca1}{Data de nascimento da primeira criança}
\item{datanascimento_crianca2}{Data de nascimento da segunda criança}
\item{nome_crianca1}{Nome da primeira criança}
\item{nome_crianca2}{Nome da segunda criança}
}}
\description{Contém observações de 5 famílias, com até 2 crianças cada. Esses dados são baseados no exemplo disponível em: vignette('datatable-reshape', package = 'data.table')}
\keyword{datasets}

\docType{data}
\name{rebatedores}
\alias{rebatedores}
\title{Tabela de estatíticas de Beisebol}
\format{Um data frame com 105.861 linhas e 22 colunas
\describe{
\item{id_jogador}{ID do jogador}
\item{id_ano}{Ano}
\item{ordem_equipes}{Ordem na qual o jogador se mudou entre equipes na mesma temporada}
\item{id_equipe}{ID da equipe (fator)}
\item{id_liga}{ID da liga (fator com os níveis AA, AL, FL, NL, PL, UA)}
\item{jogos}{Número de jogos em que o jogador participou oficialmente}
\item{vez_bastao}{Número de vezes ao bastão válidas}
\item{corridas}{Corridas anotadas}
\item{rebatidas_simples}{Número de vezes em que o jogador chegou à primeira base com uma rebatida válida}
\item{rebatidas_duplas}{Número de vezes em que o jogador chegou à segunda base com uma rebatida válida}
\item{rebatidas_triplas}{Número de vezes em que o jogador chegou à terceira base com uma rebatida válida}
\item{homerun}{Número de homeruns}
\item{corridas_impulsionadas}{Corridas impulsionadas como resultado da vez ao bastão do rebatedor}
\item{bases_roubadas}{Bases roubadas}
\item{capturado_roubando}{Eliminações em tentativa de roubo de base}
\item{base_bolas}{Base por bolas}
\item{strikeouts}{Eliminações por strikes}
\item{base_intencional}{Base por bolas intencional}
\item{HBP}{Vezes atingidas pelo arremessador (Hit by pitch - HBP)}
\item{toque_sacrificio}{Toque de sacrifício}
\item{fly_sacrificio}{Flys (rebatidas altas no campo externo) de sacrifício (impulsiona uma corrida)}
\item{eliminacao_dupla_induzida}{Rebatidas rasteiras induzindo a uma eliminação dupla}
}}
\description{Estatísticas de rebatedores}
\keyword{datasets}

\docType{data}
\name{pixar_avalicao_publico}
\alias{pixar_avalicao_publico}
\title{Filmes da Pixar e avaliações}
\format{Um tibble com 23 linhas e 5 colunas
\describe{
\item{filme}{Título do filme}
\item{nota_rotten_tomatoes}{Avaliação obtida pelo site Rotten Tomatoes. As avaliações são numéricas e vão de 0 a 100.}
\item{nota_metacritic}{Avaliação obtida pelo site Metacritic. As avaliações são numéricas e vão de 0 a 100.}
\item{nota_cinema_score}{Avaliação obtida pelo site CinemaScore. Avaliação em escala alfabética que varia de A+ a F.}
\item{nota_critics_choice}{Avaliação obtida pelo Critics' Choice Movie Awards que varia de 0 a 100.}
}}
\usage{pixar_avalicao_publico}
\description{Filmes da Pixar com avaliações do público e da crítica, obtidas por diferentes sites}
\keyword{datasets}

\docType{data}
\name{pixar_generos}
\alias{pixar_generos}
\title{Gêneros dos filmes da Pixar}
\format{Um tibble com 128 linhas e 2 colunas
\describe{
\item{filme}{Título do filme}
\item{genero}{Gênero do filme}
}}
\usage{pixar_generos}
\description{Filmes e seus gêneros}
\keyword{datasets}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/stringr.R
\docType{data}
\name{dados-stringr}
\alias{dados-stringr}
\alias{frases}
\alias{frutas}
\alias{palavras}
\title{Vetores de caracteres do pacote stringr}
\format{
Um vetor

An object of class \code{character} of length 37.

An object of class \code{character} of length 116.

An object of class \code{character} of length 267.
}
\usage{
frases

frutas

palavras
}
\description{
Amostra de vetores de caracteres para praticar a manipulação de strings
}
\details{
frases - é uma lista de frases escritas em português

frutas - é uma seleção e adaptação ao português dos dados de prática contidos em stringr::fruit.

palavras - é uma lista de palavras frequentes usadas em português brasileiro
}
\examples{

length(frases)
frases[1:5]

length(frutas)
frutas[1:5]

#' length(palavras)
palavras[1:5]
}
\keyword{datasets}

\docType{data}
\name{mtcarros}
\alias{mtcarros}
\title{Testes de estrada para automóveis}
\format{Um data.frame com 32 linhas e 12 colunas
\describe{
\item{milhas_por_galao}{Milhas por galão (US)}
\item{cilindros}{Número de cilindros}
\item{cilindrada}{Volume de deslocamento do motor em polegadas cúbicas}
\item{cavalos_forca}{Cavalos força bruto}
\item{eixo}{Relação de eixo traseiro}
\item{peso}{Peso (1000 libras)}
\item{velocidade}{Tempo em percorrer 1/4 de milha}
\item{forma}{Forma do motor (V ou em linha)}
\item{transmissao}{Tipo de transmissão (0 = automático, 1 = manual)}
\item{marchas}{Número de marchas à frente}
\item{carburadores}{Número de carburadores}
}}
\usage{mtcarros}
\description{Os dados foram extraídos da revista Motor Trend US, de 1974, e incluem o consumo de combustível e 10 aspectos do design e desempenho de automóveis para 32 automóveis (modelos 1973-74)}
\keyword{datasets}

\docType{data}
\name{pixar_filmes}
\alias{pixar_filmes}
\title{Filmes da Pixar}
\format{Um tibble com 27 linhas e 3 colunas
\describe{
\item{ordem_lancamento}{Ordem de lançamento dos filmes}
\item{filme}{Título do filme}
\item{data_lancamento}{Data de lançamento do filme}
\item{duracao}{Duração do filme em minutos}
\item{classificacao_indicativa}{Classificação indicativa baseada no sistema de classificação de filmes da Motion Picture Association (MPA)}
}}
\usage{pixar_filmes}
\description{Nome e data e ordem de lançamento dos filmes da Pixar}
\keyword{datasets}

\docType{data}
\name{gerentes}
\alias{gerentes}
\title{Tabela de gerentes}
\format{Um data frame com 3.504 linhas e 10 colunas
\describe{
\item{id_jogador}{ID do jogador}
\item{ano}{Ano}
\item{id_equipe}{ID da equipe (fator)}
\item{id_liga}{ID da liga (fator)}
\item{ordem_gerencial_temporada}{Ordem na gerência de equipes durante uma temporada. 0 Se o indivíduo gerenciava a equipe o ano inteiro. Caso contrário, indica onde o gerente apareceu na ordem gerencial (1 para o primeiro gerente, 2 para o segundo, etc.)}
\item{jogos_gerenciados}{Jogos gerenciados}
\item{jogos_ganhos}{Jogos ganhos}
\item{jogos_perdidos}{Jogos perdidos}
\item{posicao}{Posição final da equipe na classificação daquele ano}
\item{jogador_gerente}{Tem valor 'S' (sim) para jogadores que foram jogadores e gerentes de equipe por uma temporada e 'N' (não) caso contrário (fator).}
}}
\description{Informações sobre gerentes de equipe individuais, equipes que eles gerenciaram e algumas estatísticas básicas para essas equipes em cada ano}
\keyword{datasets}

\docType{data}
\name{veiculos}
\alias{veiculos}
\title{Dados de economia de combustível}
\format{Um data.frame com 33442 linhas e 12 colunas
\describe{
\item{id}{Identificador único EPA}
\item{fabricante}{Fabricante}
\item{modelo}{Nome do modelo}
\item{ano}{Ano de fabricação}
\item{classe}{tipo de Automóveis}
\item{transmissao}{tipo de transmissão}
\item{tracao}{tipo de tração}
\item{cilindros}{número de cilindros}
\item{motor}{tamanho do motor do automóvel, em litros}
\item{combustível}{tipo de combustível}
\item{autopista}{milhas por galão de combustível na estrada}
\item{cidade}{milhas por galão de combustível na cidade}
}}
\usage{veiculos}
\description{Dados de economia de combustível da Agência de Proteção Ambiental(EPA) dos Estados Unidos, 1985-2015. Contém uma seleção de variáveis e não considera veículos com dados incompletos.}
\keyword{datasets}

\docType{data}
\name{pessoas}
\alias{pessoas}
\title{Tabela de pessoas}
\format{Um data frame com 19.617 linhas e 26 colunas
\describe{
\item{id_jogador}{ID do jogador}
\item{ano_nascimento}{Ano de nascimento}
\item{mes_nascimento}{Mês de nascimento}
\item{dia_nascimento}{Dia de nascimento}
\item{pais_nascimento}{País de nascimento}
\item{estado_nascimento}{Estado de nascimento}
\item{cidade_nascimento}{Cidade de nascimento}
\item{ano_falecimento}{Ano de falecimento}
\item{mes_falecimento}{Mês de falecimento}
\item{dia_falecimento}{Dia de falecimento}
\item{pais_falecimento}{País de falecimento}
\item{estado_falecimento}{Estado de falecimento}
\item{cidade_falecimento}{Cidade de falecimento}
\item{nome}{Nome}
\item{sobrenome}{Sobrenome}
\item{nome_proprio}{Nome próprio}
\item{peso}{Peso em libras}
\item{altura}{Altura em polegadas}
\item{rebatedor}{Se, como rebatedor, você é destro (D) ou canhoto (C)}
\item{arremessador}{Se, como arremessador, você é destro (D) ou canhoto (C)}
\item{data_primeiro_jogo}{Data do primeiro jogo na primeira divisão}
\item{data_ultimo_jogo}{Data do último jogo na primeira divisão}
\item{id_retrosheet}{Código do jogador usado em Retrosheet (http://www.retrosheet.org/)}
\item{id_brw}{Código do jogador usado em Baseball Reference website (http://www.baseball-reference.com/)}
\item{data_falecimento}{Data de falecimento em formato yyyy-mm-dd}
\item{data_nascimento}{Data de nascimento em formato yyyy-mm-dd}
}}
\description{Nomes de jogadores, data de nascimento e informações bibliográficas. Este arquivo é usado para obter detalhes sobre os jogadores listados em rebatedores, arremessadores e outros arquivos nos quais os jogadores são identificados por id_jogador}
\keyword{datasets}

\docType{data}
\name{top100musicas}
\alias{top100musicas}
\title{Top 100 músicas da Billboard no ano 2000}
\format{Um tibble com 317 linhas e 79 colunas
\describe{
\item{artista}{Nome do(a) artista}
\item{musica}{Nome da música}
\item{data.adicionada}{Data em que a música entrou no Top 100}
\item{semana1}{Ranking da música em cada semana, após entrar no ranking}
\item{semana2}{Ranking da música em cada semana, após entrar no ranking}
\item{semana3}{Ranking da música em cada semana, após entrar no ranking}
\item{semana4}{Ranking da música em cada semana, após entrar no ranking}
\item{semana5}{Ranking da música em cada semana, após entrar no ranking}
\item{semana6}{Ranking da música em cada semana, após entrar no ranking}
\item{semana7}{Ranking da música em cada semana, após entrar no ranking}
\item{semana8}{Ranking da música em cada semana, após entrar no ranking}
\item{semana9}{Ranking da música em cada semana, após entrar no ranking}
\item{semana10}{Ranking da música em cada semana, após entrar no ranking}
\item{semana11}{Ranking da música em cada semana, após entrar no ranking}
\item{semana12}{Ranking da música em cada semana, após entrar no ranking}
\item{semana13}{Ranking da música em cada semana, após entrar no ranking}
\item{semana14}{Ranking da música em cada semana, após entrar no ranking}
\item{semana15}{Ranking da música em cada semana, após entrar no ranking}
\item{semana16}{Ranking da música em cada semana, após entrar no ranking}
\item{semana17}{Ranking da música em cada semana, após entrar no ranking}
\item{semana18}{Ranking da música em cada semana, após entrar no ranking}
\item{semana19}{Ranking da música em cada semana, após entrar no ranking}
\item{semana20}{Ranking da música em cada semana, após entrar no ranking}
\item{semana21}{Ranking da música em cada semana, após entrar no ranking}
\item{semana22}{Ranking da música em cada semana, após entrar no ranking}
\item{semana23}{Ranking da música em cada semana, após entrar no ranking}
\item{semana24}{Ranking da música em cada semana, após entrar no ranking}
\item{semana25}{Ranking da música em cada semana, após entrar no ranking}
\item{semana26}{Ranking da música em cada semana, após entrar no ranking}
\item{semana27}{Ranking da música em cada semana, após entrar no ranking}
\item{semana28}{Ranking da música em cada semana, após entrar no ranking}
\item{semana29}{Ranking da música em cada semana, após entrar no ranking}
\item{semana30}{Ranking da música em cada semana, após entrar no ranking}
\item{semana31}{Ranking da música em cada semana, após entrar no ranking}
\item{semana32}{Ranking da música em cada semana, após entrar no ranking}
\item{semana33}{Ranking da música em cada semana, após entrar no ranking}
\item{semana34}{Ranking da música em cada semana, após entrar no ranking}
\item{semana35}{Ranking da música em cada semana, após entrar no ranking}
\item{semana36}{Ranking da música em cada semana, após entrar no ranking}
\item{semana37}{Ranking da música em cada semana, após entrar no ranking}
\item{semana38}{Ranking da música em cada semana, após entrar no ranking}
\item{semana39}{Ranking da música em cada semana, após entrar no ranking}
\item{semana40}{Ranking da música em cada semana, após entrar no ranking}
\item{semana41}{Ranking da música em cada semana, após entrar no ranking}
\item{semana42}{Ranking da música em cada semana, após entrar no ranking}
\item{semana43}{Ranking da música em cada semana, após entrar no ranking}
\item{semana44}{Ranking da música em cada semana, após entrar no ranking}
\item{semana45}{Ranking da música em cada semana, após entrar no ranking}
\item{semana46}{Ranking da música em cada semana, após entrar no ranking}
\item{semana47}{Ranking da música em cada semana, após entrar no ranking}
\item{semana48}{Ranking da música em cada semana, após entrar no ranking}
\item{semana49}{Ranking da música em cada semana, após entrar no ranking}
\item{semana50}{Ranking da música em cada semana, após entrar no ranking}
\item{semana51}{Ranking da música em cada semana, após entrar no ranking}
\item{semana52}{Ranking da música em cada semana, após entrar no ranking}
\item{semana53}{Ranking da música em cada semana, após entrar no ranking}
\item{semana54}{Ranking da música em cada semana, após entrar no ranking}
\item{semana55}{Ranking da música em cada semana, após entrar no ranking}
\item{semana56}{Ranking da música em cada semana, após entrar no ranking}
\item{semana57}{Ranking da música em cada semana, após entrar no ranking}
\item{semana58}{Ranking da música em cada semana, após entrar no ranking}
\item{semana59}{Ranking da música em cada semana, após entrar no ranking}
\item{semana60}{Ranking da música em cada semana, após entrar no ranking}
\item{semana61}{Ranking da música em cada semana, após entrar no ranking}
\item{semana62}{Ranking da música em cada semana, após entrar no ranking}
\item{semana63}{Ranking da música em cada semana, após entrar no ranking}
\item{semana64}{Ranking da música em cada semana, após entrar no ranking}
\item{semana65}{Ranking da música em cada semana, após entrar no ranking}
\item{semana66}{Ranking da música em cada semana, após entrar no ranking}
\item{semana67}{Ranking da música em cada semana, após entrar no ranking}
\item{semana68}{Ranking da música em cada semana, após entrar no ranking}
\item{semana69}{Ranking da música em cada semana, após entrar no ranking}
\item{semana70}{Ranking da música em cada semana, após entrar no ranking}
\item{semana71}{Ranking da música em cada semana, após entrar no ranking}
\item{semana72}{Ranking da música em cada semana, após entrar no ranking}
\item{semana73}{Ranking da música em cada semana, após entrar no ranking}
\item{semana74}{Ranking da música em cada semana, após entrar no ranking}
\item{semana75}{Ranking da música em cada semana, após entrar no ranking}
\item{semana76}{Ranking da música em cada semana, após entrar no ranking}
}}
\description{Classificações de músicas no top 100 da Billboard no ano 2000}
\keyword{datasets}

\docType{data}
\name{casas}
\alias{casas}
\title{Dados de habitação em Ames}
\format{Um data.frame com 2930 linhas e 82 colunas.
\describe{
\item{ordem}{Número da observação (id)}
\item{pid}{Código de identificação análogo ao CEP no Brasil (Parcel identification number)}
\item{moradia_classe}{Tipo de moradia envolvida na venda}
\item{moradia_zoneamento}{Classificação do zoneamento da venda}
\item{lote_fachada}{Porção da fachada cercada por uma rua (pés)}
\item{lote_area}{Área do lote (pés quadrados)}
\item{rua_tipo}{Tipo de rua que dá acesso à propriedade}
\item{beco_tipo}{Tipo do beco que dá acesso à propriedade}
\item{lote_formato}{Formato da propriedade}
\item{terreno_contorno}{Nivelamento da propriedade. Valores: bancada (aumento rápido e significativo do nível da rua para o prédio), encosta (declive significativo de lado a lado), depressão, aproximadamente plana/nivelada.}
\item{utilidades}{Tipo de utilizades disponíveis (eletricidade, gás, água e esgoto)}
\item{lote_config}{Configuração do lote}
\item{terreno_declive}{Declive do terreno}
\item{vizinhanca}{Localizações físicas dentro dos limites da cidade de ames}
\item{condicao_1}{Proximidade da propriedade estradas ou rodovias importantes}
\item{condicao_2}{Proximidade da propriedade de estradas ou rodovias importantes (caso uma segunda exista)}
\item{moradia_tipo}{Tipo de moradia. Valores: família única,  conversão para 2 famílias (originalmente construída para 2 famílias), duplex, unidade final de moradia (Townhouse End Unit), unidade interna de moradia (Townhouse Inside Unit).}
\item{moradia_estilo}{Estilo da moradia}
\item{geral_qualidade}{Avaliação do material e acabamento geral da casa}
\item{geral_condicao}{Avaliação da condição geral da casa}
\item{construcao_ano}{Ano de construção da casa}
\item{remodelacao_ano}{Ano de remodelação da casa}
\item{telhado_estilo}{Estilho do telhado}
\item{telhado_material}{Material do qual o telhado é feito}
\item{exterior_cobertura_1}{Cobertura do exterior da casa}
\item{exterior_cobertura_2}{Cobertura do exterior da casa (se tiver mais de uma)}
\item{alvenaria_tipo}{Tipo de alvenaria da casa}
\item{alvenaria_area}{Área da alvenaria (pés quadrados)}
\item{exterior_qualidade}{Avaliação da qualidade do material usado no exterior da casa}
\item{exterior_condicao}{Avaliação da condição do exterior da casa}
\item{fundacao_tipo}{Tipo da fundação da casa}
\item{porao_qualidade}{Avaliação da altura do porão}
\item{porao_condicao}{Avaliação da condição do porão}
\item{porao_exposicao}{Refere-se a saída ou paredes no nível do jardim}
\item{porao_acabamento_1}{Avaliação da área do porão com acabamento}
\item{porao_area_com_acabamento_1}{Área do porão com acabamento (em pés quadrados)}
\item{porao_acabamento_2}{Avaliação da área do porão com acabamento (se houver várias)}
\item{porao_area_com_acabamento_2}{Área do porão com acabamento (em pés quadrados)}
\item{porao_area_sem_acabamento}{Área do porão sem acabamento (em pés quadrados)}
\item{porao_area_total}{Área total do porão (em pés quadrados)}
\item{porao_num_banheiros}{Número de banheiros do porão}
\item{porao_num_banheiros_lavabos}{Número de lavabos do porão}
\item{aquecimento_tipo}{Tipo de aquecimento instalado na casa}
\item{aquecimento_qualidade_condicao}{Avaliação da qualidade e condição do aquecimento}
\item{ar_condicionado_central}{Ar condicionado central da casa}
\item{sistema_eletrico_tipo}{Tipo de sistema elétrico da casa}
\item{primeiro_andar_area}{Área do primeiro andar (pés quadrados)}
\item{segundo_andar_area}{Área do segundo andar (pés quadrados)}
\item{acabamento_baixa_qualidade_area}{Área da casa com acabamento de baixa qualidade (pés quadrados)}
\item{acima_solo_area}{Área da casa acima do solo (pés quadrados)}
\item{acima_solo_num_banheiros}{Número de banheiros acima do solo}
\item{acima_solo_num_lavabos}{Número de lavabos acima do solo}
\item{acima_solo_num_quartos}{Número de quartos da casa}
\item{acima_solo_num_cozinhas}{Número de cozinhas da casa}
\item{cozinha_qualidade}{Qualidade da cozinha}
\item{acima_solo_num_comodos}{Número de cômodos acima do solo}
\item{funcional}{Funcionalidade da casa (indica o quanto a casa está apta para moradia)}
\item{total_num_lareiras}{Número total de lareiras}
\item{lareira_qualidade}{Qualidade da(s) lareira(s). Valores: excelente (fogueira de alvenaria exepecional), boa (lareira de alvenaria no nível principal), regular (fogueira pré-fabricada no porão),  média (lareira pré-fabricada na sala de estar principal ou lareira de alvenaria no porão), ruim (fogão Ben Franklin), sem lareira.}
\item{garagem_tipo}{Localização da garagem. Valores: mais do que 1 tipo de garagem, anexada à casa, garagem no porão, embutida (parte da casa - tipicamente tem cômodo acima da garagem), abrigo com teto construído ao lado da casa (carport), garagem não anexada à casa, sem garagem.}
\item{garagem_ano_construcao}{Ano de construção da garagem}
\item{garagem_acabamento}{Tipo de acabamento da garagem}
\item{garagem_capacidade_carros}{Capacidade de carros da garagem}
\item{garagem_area}{Área da garagem (pés quadrados)}
\item{garagem_qualidade}{Qualidade da garagem}
\item{garagem_condicao}{Condição da garagem}
\item{entrada_veiculo_pavimentada}{Pavimentação da entrada de veículos}
\item{deck_madeira_area}{Área do deck de madeira da casa (em pés quadradas)}
\item{varanda_aberta_area}{Área da varanda coberta da casa (em pés quadradas)}
\item{varanda_fechada_area}{Área da varanda fechada da casa (em pés quadradas)}
\item{varanda_3ssn_area}{Área da varanda 'three season' da casa (em pés quadradas)}
\item{varanda_com_tela_area}{Área da varanda com tela da casa (em pés quadradas)}
\item{piscina_area}{Área da piscina (em pés quadradas)}
\item{piscina_qualidade}{Qualidade da piscina}
\item{cerca_qualidade}{Qualidade da cerca}
\item{funcionalidades_diversas}{Funcionalidades diversas da casa (não incluidas nas outras categorias). Valores: elevador, segunda garagem (se não descrito na seção garagem), galpão, quadra de tênis, outro, nenhuma.}
\item{funcionalidades_valor}{Valor das funcionalidades diversas}
\item{venda_mes}{Mês da venda}
\item{venda_ano}{Ano da venda}
\item{venda_tipo}{Tipo da venda}
\item{venda_condicao}{Condição da venda. Valores: venda anormal (troca, execução hipotecária, venda a descoberto), compra de terreno adjacente, alocação (duas propriedades vinculadas com escrituras separadas, normalmente em condomínio com garagem), venda entre membros de família, venda normal, casa não foi concluída na última avaliação (associada a novas casas)}
\item{venda_valor}{Valor da venda}
}}
\usage{casas}
\description{Base dados descrita em De Cock (2011) com 82 características de 2930 propriedades vendidas em Ames, Iowa, EUA.}
\source{\url{https://jse.amstat.org/v19n3/decock/DataDocumentation.txt}}
\keyword{datasets}

\docType{data}
\name{salarios}
\alias{salarios}
\title{Tabela de salários}
\format{Um data.frame com 26.428 linhas e 5 colunas
\describe{
\item{ano}{Ano}
\item{id_equipe}{ID da equipe (fator)}
\item{id_liga}{ID da liga (fator)}
\item{id_jogador}{ID do jogador}
\item{salario}{Salário em dólares}
}}
\description{Dados salariais do jogador}
\keyword{datasets}

\docType{data}
\name{dados_starwars}
\alias{dados_starwars}
\title{Personagens de Starwars}
\format{Um tibble com 87 linhas e 14 colunas
\describe{
\item{nome}{Nome}
\item{altura}{Altura em centímetros (cm)}
\item{massa}{Massa em quilogramas (kg)}
\item{cor_do_cabelo}{Cor do cabelo}
\item{cor_da_pele}{Cor da pele}
\item{cor_dos_olhos}{Cor dos olhos}
\item{ano_nascimento}{Ano de nascimento BBY (BBY = antes da batalha de Yavin)}
\item{sexo_biologico}{Sexo Biológico, sendo macho, fêmea, hermafrodita, ou nenhum (no caso dos Droides)}
\item{genero}{Gênero - O papel de gênero ou identidade de gênero da/do personagem conforme determinado por sua personalidade ou a maneira como foram programados (como no caso dos Droides)}
\item{planeta_natal}{Nome do planeta natal}
\item{especie}{Nome da espécie}
\item{filmes}{Lista de filmes em que o/a personagem apareceu}
\item{veiculos}{Lista de veículos que o/a personagem pilotou nos filmes}
\item{naves_espaciais}{Lista de naves espaciais que o/a personagem pilotou nos filmes}
}}
\description{Contém observações de personagens de Starwars. Os dados originais, da SWAPI - a API de Starwars,  https://swapi.dev/ - foram revisados para refletir pesquisas adicionais sobre gênero e sexo dos/das personagens.}
\keyword{datasets}

\docType{data}
\name{tabela4b}
\alias{tabela4b}
\title{Registros de tuberculose da Organização Mundial da Saúde (variante 4a)}
\format{Um tibble com 3 linhas e 3 colunas
\describe{
\item{pais}{Nome do país}
\item{1999}{População no ano 1999}
\item{2000}{População no ano 2000}
}}
\description{Contém observações de casos registrados no Afeganistão, Brasil e China nos anos de 1999 e 2000}
\keyword{datasets}

\docType{data}
\name{dados_oms2}
\alias{dados_oms2}
\title{Dados de tuberculose da Organização Mundial da Saúde}
\format{Um tibble com 7240 linhas e 58 colunas
\describe{
\item{pais}{Nome do país}
\item{ano}{Ano}
\item{fpp_h_014}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), homens (h) de 0 a 14 anos (014)}
\item{fpp_h_1524}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), homens (h) de 15 a 24 anos (1524)}
\item{fpp_h_2534}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), homens (h) de 25 a 34 anos (2534)}
\item{fpp_h_3544}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), homens (h) de 35 a 44 anos (3544)}
\item{fpp_h_4554}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), homens (h) de 45 a 54 anos (4554)}
\item{fpp_h_5564}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), homens (h) de 55 a 64 anos (5564)}
\item{fpp_h_65}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), homens (h) de 65 ou mais anos}
\item{fpp_m_014}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), mulheres (m) de 0 a 14 anos (014)}
\item{fpp_m_1524}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), mulheres (m) de 15 a 24 anos (1524)}
\item{fpp_m_2534}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), mulheres (m) de 25 a 34 anos (2534)}
\item{fpp_m_3544}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), mulheres (m) de 35 a 44 anos (3544)}
\item{fpp_m_4554}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), mulheres (m) de 45 a 54 anos (4554)}
\item{fpp_m_5564}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), mulheres (m) de 55 a 64 anos (5564)}
\item{fpp_m_65}{Casos novos, diagnóstico frotis pulmonar positivo (fpp), mulheres (m) de 65 ou mais anos}
\item{fpn_h_014}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), homens (h) de 0 a 14 anos (014)}
\item{fpn_h_1524}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), homens (h) de 15 a 24 anos (1524)}
\item{fpn_h_2534}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), homens (h) de 25 a 34 anos (2534)}
\item{fpn_h_3544}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), homens (h) de 35 a 44 anos (3544)}
\item{fpn_h_4554}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), homens (h) de 45 a 54 anos (4554)}
\item{fpn_h_5564}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), homens (h) de 55 a 64 anos (5564)}
\item{fpn_h_65}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), homens (h) de 65 ou mais anos}
\item{fpn_m_014}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), mulheres (m) de 0 a 14 anos (014)}
\item{fpn_m_1524}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), mulheres (m) de 15 a 24 anos (1524)}
\item{fpn_m_2534}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), mulheres (m) de 25 a 34 anos (2534)}
\item{fpn_m_3544}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), mulheres (m) de 35 a 44 anos (3544)}
\item{fpn_m_4554}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), mulheres (m) de 45 a 54 anos (4554)}
\item{fpn_m_5564}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), mulheres (m) de 55 a 64 anos (5564)}
\item{fpn_m_65}{Casos novos, diagnóstico frotis pulmonar negativo (fpn), mulheres (m) de 65 ou mais anos}
\item{ep_h_014}{Casos novos, diagnóstico extrapulmonar (ep), homens (h) de 0 a 14 anos (014)}
\item{ep_h_1524}{Casos novos, diagnóstico extrapulmonar (ep), homens (h) de 15 a 24 anos (1524)}
\item{ep_h_2534}{Casos novos, diagnóstico extrapulmonar (ep), homens (h) de 25 a 34 anos (2534)}
\item{ep_h_3544}{Casos novos, diagnóstico extrapulmonar (ep), homens (h) de 35 a 44 anos (3544)}
\item{ep_h_4554}{Casos novos, diagnóstico extrapulmonar (ep), homens (h) de 45 a 54 anos (4554)}
\item{ep_h_5564}{Casos novos, diagnóstico extrapulmonar (ep), homens (h) de 55 a 64 anos (5564)}
\item{ep_h_65}{Casos novos, diagnóstico extrapulmonar (ep), homens (h) de 65 ou mais anos}
\item{ep_m_014}{Casos novos, diagnóstico extrapulmonar (ep), mulheres (m) de 0 a 14 anos (014)}
\item{ep_m_1524}{Casos novos, diagnóstico extrapulmonar (ep), mulheres (m) de 15 a 24 anos (1524)}
\item{ep_m_2534}{Casos novos, diagnóstico extrapulmonar (ep), mulheres (m) de 25 a 34 anos (2534)}
\item{ep_m_3544}{Casos novos, diagnóstico extrapulmonar (ep), mulheres (m) de 35 a 44 anos (3544)}
\item{ep_m_4554}{Casos novos, diagnóstico extrapulmonar (ep), mulheres (m) de 45 a 54 anos (4554)}
\item{ep_m_5564}{Casos novos, diagnóstico extrapulmonar (ep), mulheres (m) de 55 a 64 anos (5564)}
\item{ep_m_65}{Casos novos, diagnóstico extrapulmonar (ep), mulheres (m) de 65 ou mais anos}
\item{recaida_h_014}{Novas recaídas, homens (h) de 0 a 14 anos (014)}
\item{recaida_h_1524}{Novas recaídas, homens (h) de 15 a 24 anos (1524)}
\item{recaida_h_2534}{Novas recaídas, homens (h) de 25 a 34 anos (2534)}
\item{recaida_h_3544}{Novas recaídas, homens (h) de 35 a 44 anos (3544)}
\item{recaida_h_4554}{Novas recaídas, homens (h) de 45 a 54 anos (4554)}
\item{recaida_h_5564}{Novas recaídas, homens (h) de 55 a 64 anos (5564)}
\item{recaida_h_65}{Novas recaídas, homens (h) de 65 ou mais anos}
\item{recaida_m_014}{Novas recaídas, mulheres (m) de 0 a 14 anos (014)}
\item{recaida_m_1524}{Novas recaídas, mulheres (m) de 15 a 24 anos (1524)}
\item{recaida_m_2534}{Novas recaídas, mulheres (m) de 25 a 34 anos (2534)}
\item{recaida_m_3544}{Novas recaídas, mulheres (m) de 35 a 44 anos (3544)}
\item{recaida_m_4554}{Novas recaídas, mulheres (m) de 45 a 54 anos (4554)}
\item{recaida_m_5564}{Novas recaídas, mulheres (m) de 55 a 64 anos (5564)}
\item{recaida_m_65}{Novas recaídas, mulheres (m) de 65 ou mais anos}
}}
\usage{dados_oms2}
\description{Subconjunto de dados do relatório anual de tuberculose da Organização Mundial da Saúde. A tibble dados_oms2 é uma versão levemente modificada de dados_oms, ajustando as variaveis para serem mais consistentes, removendo iso2, iso3 e adicionando _ depois do sexo biológico}
\keyword{datasets}

\docType{data}
\name{cms_paciente_experiencia}
\alias{cms_paciente_experiencia}
\title{Dados dos Centros de Serviços de Assistência Médica (*Medicare*) e Medicamentos (*Medicaid*)}
\format{Um tibble com 500 linhas e 5 colunas
\describe{
\item{organizacao_id}{Identificador da organização}
\item{organizacao_nome}{Nome da organização}
\item{medida_codigo}{Código da medida}
\item{medida_titulo}{Título da medida}
\item{taxa_performance}{Medição da taxa de performance}
}}
\description{Contém alguns dados levemente arrumados de 'Prestadores de cuidados paliativos - Dados do provedor', que fornece uma lista de agências de cuidados paliativos intensivos (*hospice*) junto com alguns dados sobre a qualidade do atendimento ao paciente, https://data.cms.gov/provider-data/dataset/252m-zfp9}
\keyword{datasets}

\docType{data}
\name{dados_gapminder}
\alias{dados_gapminder}
\title{Dados de Gapminder}
\format{Um data.frame de 1.704 linhas e 6 colunas
\describe{
\item{pais}{Países incluídos (fator com 142 níveis)}
\item{continente}{Continentes (fator com 5 níveis)}
\item{ano}{De 1952 a 2007, dados a cada 5 anos}
\item{expectativa_de_vida}{Expectativa de vida ao nascer, em anos}
\item{populacao}{População}
\item{pib_per_capita}{PIB per capita (em dólares americanos, ajustados pela inflação)}
}}
\usage{dados_gapminder}
\description{Conjunto de dados de Gapminder sobre expectativa de vida, PIB per capita e população por país}
\source{http://www.gapminder.org/data/}
\keyword{datasets}

\docType{data}
\name{premios_gerentes}
\alias{premios_gerentes}
\title{Tabela de prêmios dos gerentes}
\format{Um data.frame com 179 linhas e 6 colunas
\describe{
\item{id_gerente}{ID do gerente}
\item{nome_premio}{Nome do prêmio recebido pelo gerente}
\item{ano}{Ano}
\item{id_liga}{ID liga (fator)}
\item{empate}{Tem valor "S" (sim) para os prêmios que correspondem a um empate e "N" (não) caso contrário.}
\item{notas}{Notas sobre o prêmio}
}}
\description{Informações sobre prêmios para gerentes}
\keyword{datasets}

\docType{data}
\name{bebes}
\alias{bebes}
\title{Nomes de bebês}
\format{Um data.frame com 1.924.665 linhas e 5 colunas
\describe{
\item{ano}{Ano de registro}
\item{sexo}{Sexo do(a) bebê}
\item{nome}{Nome}
\item{FALSE}{Número de ocorrências}
\item{prop}{Proporção}
}}
\usage{bebes}
\description{Dados completos sobre nomes de bebês fornecidos pela Administração de Segurança Social dos EUA. Inclui todos os nomes com pelo menos 5 usos}
\keyword{datasets}

\docType{data}
\name{aeroportos}
\alias{aeroportos}
\title{Aeroportos}
\format{Um data.frame com 1.458 linhas e 8 colunas
\describe{
\item{codigo_aeroporto}{Código FAA do aeroporto}
\item{nome}{Nome do aeroporto}
\item{latitude}{Coordenada de localização do aeroporto}
\item{longitude}{Coordenada de localização do aeroporto}
\item{altura}{Altura medida em pés}
\item{fuso_horario}{Diferença de fuso horário do Meridiano de Greenwich (GMT)}
\item{horario_verao}{Horário legal de acordo com as políticas de economia de energia. A = Horário de verão (Daylight Saving Time) padrão dos EUA: começa o segundo sábado de março E; termina o primeiro sábado de novembro; U = Desconhecido; N = Não possui horário de verão}
\item{fuso_horario_iana}{Fuso horário IANA, determinado de acordo com o serviço web GeoNames}
}}
\usage{aeroportos}
\description{Metadados úteis sobre aeroportos}
\keyword{datasets}

\docType{data}
\name{dados_iris}
\alias{dados_iris}
\title{Dados de espécies de flor de Íris por Edgar Anderson}
\format{Um data.frame com 150 linhas e 5 colunas
\describe{
\item{Comprimento.Sepala}{Comprimento da Sépala}
\item{Largura.Sepala}{Largura da Sépala}
\item{Comprimento.Petala}{Comprimento da Pétala}
\item{Largura.Petala}{Largura da Pétala}
\item{Especies}{A espécie correspondente da flor de Íris (Iris setosa, I. versicolor, I. virginica)}
}}
\usage{dados_iris}
\description{O famoso conjunto de dados sobre espécies de flor de Íris (Edgar Anderson e Ronald Fisher) fornece as medidas em centímetros das variáveis de comprimento e largura da sépala e pétala, para 50 flores de cada uma das 3 espécies de íris. As espécies são Iris setosa, I. versicolor e I. virginica}
\keyword{datasets}

\docType{data}
\name{tabela1}
\alias{tabela1}
\title{Registros de tuberculose da Organização Mundial da Saúde (primeira variante)}
\format{Um tibble com 6 linhas e 4 colunas
\describe{
\item{pais}{Nome do país}
\item{ano}{Ano correspondente aos valores registrados}
\item{casos}{Número de casos registrados}
\item{populacao}{População do país}
}}
\description{Contém observações de casos registrados no Afeganistão, Brasil e China nos anos de 1999 e 2000}
\keyword{datasets}

\docType{data}
\name{questionario}
\alias{questionario}
\title{Amostra de variáveis categóricas do questinário 'General Social Survey' (GSS)}
\format{Um data.frame com 21.473 linhas e 9 colunas
\describe{
\item{ano}{Ano do questionário, 2000-2014}
\item{estado_civil}{Estado civil}
\item{idade}{Idade. Idade máxima limitada a 89 anos}
\item{raca}{Categorias raciais segundo o questionário}
\item{renda}{Renda respondida pelas pessoas entrevistadas (US$)}
\item{partido}{Partido político com quem a pessoa entrevistada se identifica}
\item{religiao}{Religião}
\item{denominacao}{Denominação religiosa a que pertence}
\item{horas_tv}{Horas de televisão assistidas por dia}
}}
\usage{questionario}
\description{Amostra de variáveis categóricas do questinário 'General Social Survey' (GSS)}
\keyword{datasets}
